import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/get?${stringify(params)}`);
}


export async function insertForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/deleteBatch`, {
        method: 'POST',
        data: params,
    });
}


export async function updateBatchForWordFileWatermark(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfilewatermark/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}
